net.minecraft.entity.monster

## Class EntityZombie

- java.lang.Object
- - net.minecraft.entity.Entity
  - - net.minecraft.entity.EntityLivingBase
    - - net.minecraft.entity.EntityLiving
      - - net.minecraft.entity.EntityCreature
        - - net.minecraft.entity.monster.EntityMob
          - - net.minecraft.entity.monster.EntityZombie

- All Implemented Interfaces:
    IMob, IAnimals
  Direct Known Subclasses:
    EntityPigZombie

      public class EntityZombie
      extends EntityMob

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class net.minecraft.entity.Entity

      `Entity.EnumEntitySize`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected static IAttribute` | `field_110186_bp`

    - ### Fields inherited from class net.minecraft.entity.EntityCreature

      `entityToAttack, field_110179_h, field_110181_i, fleeingTick, hasAttacked`

    - ### Fields inherited from class net.minecraft.entity.EntityLiving

      `defaultPitch, equipmentDropChances, experienceValue, livingSoundTime, numTicksToChaseTarget, targetTasks, tasks`

    - ### Fields inherited from class net.minecraft.entity.EntityLivingBase

      `arrowHitTimer, attackedAtYaw, attackingPlayer, attackTime, cameraPitch, dead, deathTime, entityAge, field_110154_aX, field_70741_aB, field_70763_ax, field_70764_aw, field_70768_au, field_70769_ao, field_70770_ap, hurtTime, isJumping, isSwingInProgress, jumpMovementFactor, lastDamage, limbSwing, limbSwingAmount, maxHurtResistantTime, maxHurtTime, moveForward, moveStrafing, newPosRotationIncrements, newPosX, newPosY, newPosZ, newRotationPitch, newRotationYaw, prevCameraPitch, prevHealth, prevLimbSwingAmount, prevRenderYawOffset, prevRotationYawHead, prevSwingProgress, randomYawVelocity, recentlyHit, renderYawOffset, rotationYawHead, scoreValue, swingProgress, swingProgressInt`

    - ### Fields inherited from class net.minecraft.entity.Entity

      `addedToChunk, boundingBox, capturedDrops, captureDrops, chunkCoordX, chunkCoordY, chunkCoordZ, dataWatcher, dimension, distanceWalkedModified, distanceWalkedOnStepModified, entityCollisionReduction, entityUniqueID, extendedProperties, fallDistance, field_70135_K, fireResistance, forceSpawn, height, hurtResistantTime, ignoreFrustumCheck, inPortal, inWater, isAirBorne, isCollided, isCollidedHorizontally, isCollidedVertically, isDead, isImmuneToFire, isInWeb, lastTickPosX, lastTickPosY, lastTickPosZ, motionX, motionY, motionZ, myEntitySize, noClip, onGround, portalCounter, posX, posY, posZ, prevDistanceWalkedModified, preventEntitySpawning, prevPosX, prevPosY, prevPosZ, prevRotationPitch, prevRotationYaw, rand, renderDistanceWeight, riddenByEntity, ridingEntity, rotationPitch, rotationYaw, serverPosX, serverPosY, serverPosZ, stepHeight, teleportDirection, ticksExisted, timeUntilPortal, velocityChanged, width, worldObj, yOffset, ySize`

    - ### Fields inherited from interface net.minecraft.entity.monster.IMob

      `mobSelector`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EntityZombie(World par1World)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `addRandomArmor()`
    `protected void` | `applyEntityAttributes()`
    `boolean` | `attackEntityAsMob(Entity par1Entity)`
    `boolean` | `attackEntityFrom(DamageSource par1DamageSource, float par2)`
    `protected boolean` | `canDespawn()`
    `protected void` | `convertToVillager()`
    `protected void` | `dropRareDrop(int par1)`
    `protected void` | `entityInit()`
    `protected void` | `func_145780_a(int p_145780_1_, int p_145780_2_, int p_145780_3_, Block p_145780_4_)`
    `protected void` | `func_146069_a(float p_146069_1_)`
    `void` | `func_146070_a(boolean p_146070_1_)`
    `void` | `func_146071_k(boolean p_146071_1_)`
    `boolean` | `func_146072_bX()`
    `protected int` | `getConversionTimeBoost()`
    `EnumCreatureAttribute` | `getCreatureAttribute()`
    `protected java.lang.String` | `getDeathSound()`
    `protected Item` | `getDropItem()`
    `protected int` | `getExperiencePoints(EntityPlayer par1EntityPlayer)`
    `protected java.lang.String` | `getHurtSound()`
    `protected java.lang.String` | `getLivingSound()`
    `int` | `getTotalArmorValue()`
    `void` | `handleHealthUpdate(byte par1)`
    `boolean` | `interact(EntityPlayer par1EntityPlayer)`
    `protected boolean` | `isAIEnabled()`
    `boolean` | `isChild()`
    `boolean` | `isConverting()`
    `boolean` | `isVillager()`
    `void` | `onKillEntity(EntityLivingBase par1EntityLivingBase)`
    `void` | `onLivingUpdate()`
    `IEntityLivingData` | `onSpawnWithEgg(IEntityLivingData par1EntityLivingData)`
    `void` | `onUpdate()`
    `void` | `readEntityFromNBT(NBTTagCompound par1NBTTagCompound)`
    `void` | `setChild(boolean par1)`
    `protected void` | `setSize(float par1, float par2)`
    `void` | `setVillager(boolean par1)`
    `protected void` | `startConversion(int par1)`
    `void` | `writeEntityToNBT(NBTTagCompound par1NBTTagCompound)`

    - ### Methods inherited from class net.minecraft.entity.monster.EntityMob

      `attackEntity, findPlayerToAttack, func_146066_aG, func_146067_o, getBlockPathWeight, getCanSpawnHere, getSplashSound, getSwimSound, isValidLightLevel`

    - ### Methods inherited from class net.minecraft.entity.EntityCreature

      `detachHome, func_110174_bM, func_142017_o, getEntityToAttack, getHomePosition, hasHome, hasPath, isMovementCeased, isWithinHomeDistance, isWithinHomeDistanceCurrentPosition, setHomeArea, setPathToEntity, setTarget, updateEntityActionState, updateLeashedState, updateWanderPath`

    - ### Methods inherited from class net.minecraft.entity.EntityLiving

      `allowLeashing, canAttackClass, canBeSteered, canPickUpLoot, clearLeashed, despawnEntity, dropEquipment, dropFewItems, eatGrassBonus, enchantEquipment, faceEntity, func_110146_f, func_110163_bv, func_130225_q, getAlwaysRenderNameTag, getAlwaysRenderNameTagForRender, getArmorItemForSlot, getArmorPosition, getAttackTarget, getCommandSenderName, getCustomNameTag, getEntitySenses, getEquipmentInSlot, getHeldItem, getJumpHelper, getLastActiveItems, getLeashed, getLeashedToEntity, getLookHelper, getMaxSafePointTries, getMaxSpawnedInChunk, getMoveHelper, getNavigator, getRenderSizeModifier, getTalkInterval, getVerticalFaceSpeed, hasCustomNameTag, interactFirst, isNoDespawnRequired, onEntityUpdate, playLivingSound, setAIMoveSpeed, setAlwaysRenderNameTag, setAttackTarget, setCanPickUpLoot, setCurrentItemOrArmor, setCustomNameTag, setEquipmentDropChance, setLeashedToEntity, setMoveForward, spawnExplosionParticle, updateAITasks`

    - ### Methods inherited from class net.minecraft.entity.EntityLivingBase

      `addPotionEffect, applyArmorCalculations, applyPotionDamageCalculations, canBeCollidedWith, canBePushed, canBreatheUnderwater, canEntityBeSeen, clearActivePotions, collideWithEntity, collideWithNearbyEntities, curePotionEffects, damageArmor, damageEntity, decreaseAirSupply, dismountEntity, fall, func_110142_aN, func_142015_aE, func_94060_bK, getAbsorptionAmount, getActivePotionEffect, getActivePotionEffects, getAge, getAIMoveSpeed, getAITarget, getArrowCountInEntity, getAttributeMap, getEntityAttribute, getEyeHeight, getHealth, getItemIcon, getLastAttacker, getLastAttackerTime, getLook, getLookVec, getMaxHealth, getPosition, getRNG, getRotationYawHead, getSoundPitch, getSoundVolume, getSwingProgress, getTeam, heal, isClientWorld, isEntityAlive, isEntityUndead, isMovementBlocked, isOnLadder, isOnSameTeam, isOnTeam, isPlayer, isPlayerSleeping, isPotionActive, isPotionActive, isPotionApplicable, jump, kill, knockBack, moveEntityWithHeading, onChangedPotionEffect, onDeath, onDeathUpdate, onFinishedPotionEffect, onItemPickup, onNewPotionEffect, performHurtAnimation, rayTrace, removePotionEffect, removePotionEffectClient, renderBrokenItemStack, setAbsorptionAmount, setArrowCountInEntity, setBeenAttacked, setHealth, setJumping, setLastAttacker, setPositionAndRotation2, setPositionAndUpdate, setRevengeTarget, setRotationYawHead, setSprinting, shouldRiderFaceForward, swingItem, updateAITick, updateArmSwingProgress, updateFallState, updatePotionEffects, updateRidden`

    - ### Methods inherited from class net.minecraft.entity.Entity

      `addEntityCrashInfo, addToPlayerScore, addVelocity, applyEntityCollision, canAttackWithItem, canRenderOnFire, canRiderInteract, canTriggerWalking, copyDataFrom, copyLocationAndAnglesFrom, dealFireDamage, doesEntityNotTriggerPressurePlate, dropItem, entityDropItem, equals, extinguish, func_145748_c_, func_145771_j, func_145772_a, func_145774_a, func_145775_I, func_145778_a, func_145781_i, getAir, getBoundingBox, getBrightness, getBrightnessForRender, getCollisionBorderSize, getCollisionBox, getDataWatcher, getDistance, getDistanceSq, getDistanceSqToEntity, getDistanceToEntity, getEntityData, getEntityId, getEntityString, getExtendedProperties, getFlag, getMaxInPortalTime, getMountedYOffset, getParts, getPersistentID, getPickedResult, getPortalCooldown, getShadowSize, getTeleportDirection, getUniqueID, getYOffset, handleLavaMovement, handleWaterMovement, hashCode, hitByEntity, isBurning, isCreatureType, isEating, isEntityEqual, isEntityInsideOpaqueBlock, isEntityInvulnerable, isImmuneToFire, isInRangeToRender3d, isInRangeToRenderDist, isInsideOfMaterial, isInvisible, isInvisibleToPlayer, isInWater, isOffsetPositionInLiquid, isPushedByWater, isRiding, isSneaking, isSprinting, isWet, mountEntity, moveEntity, moveFlying, newDoubleNBTList, newFloatNBTList, onChunkLoad, onCollideWithPlayer, onStruckByLightning, playSound, preparePlayerToSpawn, readFromNBT, registerExtendedProperties, resetEntityId, setAir, setAngles, setDead, setEating, setEntityId, setFire, setFlag, setInPortal, setInvisible, setInWeb, setLocationAndAngles, setOnFireFromLava, setPosition, setPositionAndRotation, setRotation, setSneaking, setVelocity, setWorld, shouldDismountInWater, shouldRenderInPass, shouldRiderSit, shouldSetPosAfterLoading, toString, travelToDimension, updateRiderPosition, writeMountToNBT, writeToNBT, writeToNBTOptional`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### field_110186_bp

          protected static final IAttribute field_110186_bp

  - ### Constructor Detail

    - #### EntityZombie

          public EntityZombie(World par1World)

  - ### Method Detail

    - #### applyEntityAttributes

          protected void applyEntityAttributes()

      Overrides:
        `applyEntityAttributes` in class `EntityMob`

    - #### entityInit

          protected void entityInit()

      Overrides:
        `entityInit` in class `EntityLiving`

    - #### getTotalArmorValue

          public int getTotalArmorValue()

      Overrides:
        `getTotalArmorValue` in class `EntityLivingBase`

    - #### isAIEnabled

          protected boolean isAIEnabled()

      Overrides:
        `isAIEnabled` in class `EntityLiving`

    - #### func_146072_bX

          public boolean func_146072_bX()

    - #### func_146070_a

          public void func_146070_a(boolean p_146070_1_)

    - #### isChild

          public boolean isChild()

      Overrides:
        `isChild` in class `EntityLivingBase`

    - #### getExperiencePoints

          protected int getExperiencePoints(EntityPlayer par1EntityPlayer)

      Overrides:
        `getExperiencePoints` in class `EntityLiving`

    - #### setChild

          public void setChild(boolean par1)

    - #### isVillager

          public boolean isVillager()

    - #### setVillager

          public void setVillager(boolean par1)

    - #### onLivingUpdate

          public void onLivingUpdate()

      Overrides:
        `onLivingUpdate` in class `EntityMob`

    - #### attackEntityFrom

          public boolean attackEntityFrom(DamageSource par1DamageSource,
                                 float par2)

      Overrides:
        `attackEntityFrom` in class `EntityMob`

    - #### onUpdate

          public void onUpdate()

      Overrides:
        `onUpdate` in class `EntityMob`

    - #### attackEntityAsMob

          public boolean attackEntityAsMob(Entity par1Entity)

      Overrides:
        `attackEntityAsMob` in class `EntityMob`

    - #### getLivingSound

          protected java.lang.String getLivingSound()

      Overrides:
        `getLivingSound` in class `EntityLiving`

    - #### getHurtSound

          protected java.lang.String getHurtSound()

      Overrides:
        `getHurtSound` in class `EntityMob`

    - #### getDeathSound

          protected java.lang.String getDeathSound()

      Overrides:
        `getDeathSound` in class `EntityMob`

    - #### func_145780_a

          protected void func_145780_a(int p_145780_1_,
                           int p_145780_2_,
                           int p_145780_3_,
                           Block p_145780_4_)

      Overrides:
        `func_145780_a` in class `Entity`

    - #### getDropItem

          protected Item getDropItem()

      Overrides:
        `getDropItem` in class `EntityLiving`

    - #### getCreatureAttribute

          public EnumCreatureAttribute getCreatureAttribute()

      Overrides:
        `getCreatureAttribute` in class `EntityLivingBase`

    - #### dropRareDrop

          protected void dropRareDrop(int par1)

      Overrides:
        `dropRareDrop` in class `EntityLivingBase`

    - #### addRandomArmor

          protected void addRandomArmor()

      Overrides:
        `addRandomArmor` in class `EntityLiving`

    - #### writeEntityToNBT

          public void writeEntityToNBT(NBTTagCompound par1NBTTagCompound)

      Overrides:
        `writeEntityToNBT` in class `EntityLiving`

    - #### readEntityFromNBT

          public void readEntityFromNBT(NBTTagCompound par1NBTTagCompound)

      Overrides:
        `readEntityFromNBT` in class `EntityLiving`

    - #### onKillEntity

          public void onKillEntity(EntityLivingBase par1EntityLivingBase)

      Overrides:
        `onKillEntity` in class `Entity`

    - #### onSpawnWithEgg

          public IEntityLivingData onSpawnWithEgg(IEntityLivingData par1EntityLivingData)

      Overrides:
        `onSpawnWithEgg` in class `EntityLiving`

    - #### interact

          public boolean interact(EntityPlayer par1EntityPlayer)

      Overrides:
        `interact` in class `EntityLiving`

    - #### startConversion

          protected void startConversion(int par1)

    - #### handleHealthUpdate

          public void handleHealthUpdate(byte par1)

      Overrides:
        `handleHealthUpdate` in class `EntityLivingBase`

    - #### canDespawn

          protected boolean canDespawn()

      Overrides:
        `canDespawn` in class `EntityLiving`

    - #### isConverting

          public boolean isConverting()

    - #### convertToVillager

          protected void convertToVillager()

    - #### getConversionTimeBoost

          protected int getConversionTimeBoost()

    - #### func_146071_k

          public void func_146071_k(boolean p_146071_1_)

    - #### setSize

          protected final void setSize(float par1,
                     float par2)

      Overrides:
        `setSize` in class `Entity`

    - #### func_146069_a

          protected final void func_146069_a(float p_146069_1_)